#include<bits/stdc++.h>
#define rg register 
#define step inline void
typedef unsigned long long ull;
typedef long long ll;
const int maxi=+9;
using namespace std;
inline int read(){
	rg int x=0;rg char c=getchar();
	for(;!isdigit(c);c=getchar());
	for(;isdigit(c);x=(x<<3)+(x<<1)+(c^48),c=getchar());
	return x;
}
int main(){
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	return 0;
}
